package models

type XcxAdminUserRole struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	PatientName string `gorm:"column:patient_name" json:"patient_name" form:"patient_name"`
	IdCardNo    string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Mobile      string `gorm:"column:mobile" json:"mobile" form:"mobile"`
	Code        string `gorm:"column:code" json:"code" form:"code"`
	PatientId   int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime       int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Appid       string `gorm:"column:appid" json:"appid" form:"appid"`
	Appsecret   string `gorm:"column:appsecret" json:"appsecret" form:"appsecret"`
	SessionKey  string `gorm:"column:session_key" json:"session_key" form:"session_key"`
}

func (XcxAdminUserRole) TableName() string {

	return "xcx_admin_user_role"
}
